Subject: Re: bug#10810: smtpmail-query-smtp-server does not allow a choice of port

From: Glenn Morris <[email-masked]>
Date: Mon, 13 Feb 2012 21:15:59 -0500

Glenn Morris wrote:

> If I know what port I want to use, smtpmail-query-smtp-server doesn't
> provide any way for me to enter that information.

It gets stranger...

I have another system where I think am I supposed to use port 465.
Maybe that's nonsense, I don't know, but I tried:

rm ~/.emacs
emacs -eval '(setq smtpmail-smtp-service 465)'

After going through all the prompting, I ended up with a .emacs
containing:

'(smtpmail-smtp-service 587)

and a ~/.authinfo with a "port 587" entry. Ie, my initial setting for
smtpmail-smtp-service was overwritten.

Maybe smtpmail-query-smtp-server should use something like
(list smtpmail-smtp-service 587) for ports rather than '("smtp" 587).